# Table

class `psi4.driver.``Table`(rows=(), row_label_width=10, row_label_precision=4, cols=(), width=16, precision=10)

  Bases: `object`

  Class defining a flexible Table object for storing data.

  Methods Summary

  `absolute_to_relative`([Factor]) | Function to shift the data of each column of the Table object such that the lowest value is zero.
  `copy`() | Function to return a copy of the Table object.
  `format_label`() | Function to pad the width of Table object labels.
  `format_values`(values) | Function to pad the width of Table object data cells.
  `save`(file) | Function to save string of the Table object to file.
  `scale`([Factor]) | Function to apply a scaling factor Factor to the data of the Table object.

  Methods Documentation

  `absolute_to_relative`(Factor=627.5094737775374)

    Function to shift the data of each column of the Table object such that the lowest value is zero. A scaling factor of Factor is applied.

  `copy`()

    Function to return a copy of the Table object.

  `format_label`()

    Function to pad the width of Table object labels.

  `format_values`(values)

    Function to pad the width of Table object data cells.

  `save`(file)

    Function to save string of the Table object to file.

  `scale`(Factor=627.5094737775374)

    Function to apply a scaling factor Factor to the data of the Table object.

  `absolute_to_relative`(Factor=627.5094737775374)

    Function to shift the data of each column of the Table object such that the lowest value is zero. A scaling factor of Factor is applied.

  `copy`()

    Function to return a copy of the Table object.

  `format_label`()

    Function to pad the width of Table object labels.

  `format_values`(values)

    Function to pad the width of Table object data cells.

  `save`(file)

    Function to save string of the Table object to file.

  `scale`(Factor=627.5094737775374)

    Function to apply a scaling factor Factor to the data of the Table object.